Skip to main content
`Ctrl`+`K`

# MATMPIBAIJ

MATMPIBAIJ = “mpibaij” - A matrix type to be used for distributed block sparse matrices.

## Options Database Keys

- -mat_type mpibaij - sets the matrix type to `MATMPIBAIJ` during a call to `MatSetFromOptions()`

- -mat_block_size bs - set the blocksize used to store the matrix

- -mat_baij_mult_version version - indicate the version of the matrix-vector product to use (0 often indicates using BLAS)

- -mat_use_hash_table fact - set hash table factor

## Note

`MatSetOption(A, MAT_STRUCTURE_ONLY, PETSC_TRUE)` may be called for this matrix type. In this no space is allocated for the nonzero entries and any entries passed with `MatSetValues()` are ignored

## See Also

`Mat`, `MATBAIJ`, `MATSEQBAIJ`, `MatCreateBAIJ`

## Level

beginner

## Location

src/mat/impls/baij/mpi/mpibaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages